// AtlHelloDisp.cpp : Implementation of CAtlHelloDisp
#include "stdafx.h"
#include "atlhelloau.h"
#include "AtlHelloDisp.h"

/////////////////////////////////////////////////////////////////////////////
// CAtlHelloDisp

extern HWND hMainWnd ;

STDMETHODIMP CAtlHelloDisp::get_HelloMessage(BSTR * pVal)
{
	*pVal = m_bstrHelloMsg ;
	return S_OK;
}

STDMETHODIMP CAtlHelloDisp::put_HelloMessage(BSTR newVal)
{
	m_bstrHelloMsg = newVal ;
	return S_OK;
}

STDMETHODIMP CAtlHelloDisp::SayHello()
{
	MessageBeep (0) ;
	SetDlgItemText(hMainWnd, IDC_EDIT1, m_bstrHelloMsg);
	return S_OK;
}
